API Reference

Conversations

Website-chat conversations (CRM inbox).

11 endpoints· Auth: API Key
get/api/v1/store/integrations/chat/conversations API Key

Get conversations

Query parameters

Page
integer (int32)
PageSize
integer (int32)
Status
string
ChannelId
string (uuid)

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/chat/conversations" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Query parameters

Set credentials in the “Authorize” menu
get/api/v1/store/integrations/chat/conversations/{conversationId} API Key

Get conversationId

Path parameters

conversationIdrequired
string (uuid)

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/chat/conversations/{conversationId}" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/chat/conversations/{conversationId}/messages API Key

Create messages

Path parameters

conversationIdrequired
string (uuid)

Request body

application/json
{
  "text": "string"
}
text
string

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/chat/conversations/{conversationId}/messages" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "text": "string"
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/chat/conversations/{conversationId}/reopen API Key

Create reopen

Path parameters

conversationIdrequired
string (uuid)

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/chat/conversations/{conversationId}/reopen" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/chat/conversations/{conversationId}/resolve API Key

Create resolve

Path parameters

conversationIdrequired
string (uuid)

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/chat/conversations/{conversationId}/resolve" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/chat/hub-token API Key

Create hub-token

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/chat/hub-token" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
get/api/v1/store/integrations/social/conversations API Key

Get conversations

Query parameters

Page
integer (int32)
PerPage
integer (int32)
Status
string
ChannelId
string (uuid)

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/social/conversations" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Query parameters

Set credentials in the “Authorize” menu
get/api/v1/store/integrations/social/conversations/{conversationId} API Key

Get conversationId

Path parameters

conversationIdrequired
string (uuid)

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/social/conversations/{conversationId}" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/social/conversations/{conversationId}/messages API Key

Create messages

Path parameters

conversationIdrequired
string (uuid)

Request body

application/json
{
  "text": "string"
}
text
string

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/social/conversations/{conversationId}/messages" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "text": "string"
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/social/conversations/{conversationId}/reopen API Key

Create reopen

Path parameters

conversationIdrequired
string (uuid)

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/social/conversations/{conversationId}/reopen" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/social/conversations/{conversationId}/resolve API Key

Create resolve

Path parameters

conversationIdrequired
string (uuid)

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/social/conversations/{conversationId}/resolve" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu